Bug 197538 - Web Inspector: Styles: use the same green color for modified properties as in Changes panel
Summary: Web Inspector: Styles: use the same green color for modified properties as in...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Nikita Vasilyev
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-05-02 18:00 PDT by Nikita Vasilyev
Modified: 2019-05-04 18:03 PDT (History)
6 users (show)

See Also:


Attachments
[Image] Before (52.96 KB, image/png)
2019-05-02 18:00 PDT, Nikita Vasilyev
no flags Details
Patch (4.96 KB, patch)
2019-05-02 18:02 PDT, Nikita Vasilyev
timothy: review+
Details | Formatted Diff | Diff
[Image] After (51.77 KB, image/png)
2019-05-02 18:05 PDT, Nikita Vasilyev
no flags Details
Archive of layout-test-results from ews212 for win-future (13.66 MB, application/zip)
2019-05-03 01:12 PDT, Build Bot
no flags Details
Patch (5.07 KB, patch)
2019-05-04 17:24 PDT, Nikita Vasilyev
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikita Vasilyev 2019-05-02 18:00:40 PDT
Created attachment 368855 [details]
[Image] Before

Currently, it's two different shades of green.
Comment 1 Nikita Vasilyev 2019-05-02 18:02:50 PDT
Created attachment 368856 [details]
Patch
Comment 2 Nikita Vasilyev 2019-05-02 18:05:11 PDT
Created attachment 368857 [details]
[Image] After
Comment 3 Build Bot 2019-05-03 01:12:41 PDT Comment hidden (obsolete)
Comment 4 Build Bot 2019-05-03 01:12:43 PDT Comment hidden (obsolete)
Comment 5 Nikita Vasilyev 2019-05-03 03:35:04 PDT
Comment on attachment 368856 [details]
Patch

Unrelated test failures.
Comment 6 Devin Rousso 2019-05-03 19:33:03 PDT
Comment on attachment 368856 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=368856&action=review

> Source/WebInspectorUI/UserInterface/Views/SpreadsheetCSSStyleDeclarationEditor.css:134
> +    border-right-color: hsl(90, 100%, 40%);

Why not also make this into a variable, like `diff-addition-border-color`?

> Source/WebInspectorUI/UserInterface/Views/Variables.css:183
> +    --diff-addition-background: hsl(70, 90%, 86%);

We normally still add a `-color` suffix, even for `*-background`.

> Source/WebInspectorUI/UserInterface/Views/Variables.css:185
> +    --diff-deletion-background: hsl(5, 100%, 94%);

Ditto (>183).

> Source/WebInspectorUI/UserInterface/Views/Variables.css:337
> +        --diff-addition-background: hsl(90, 40%, 19%);

Ditto (>183).

> Source/WebInspectorUI/UserInterface/Views/Variables.css:339
> +        --diff-deletion-background: hsl(5, 40%, 28%);

Ditto (>183).
Comment 7 Nikita Vasilyev 2019-05-04 17:24:13 PDT
Created attachment 369079 [details]
Patch
Comment 8 WebKit Commit Bot 2019-05-04 18:02:02 PDT
Comment on attachment 369079 [details]
Patch

Clearing flags on attachment: 369079

Committed r244951: <https://trac.webkit.org/changeset/244951>
Comment 9 WebKit Commit Bot 2019-05-04 18:02:03 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Radar WebKit Bug Importer 2019-05-04 18:03:19 PDT
<rdar://problem/50475509>